DO $$
DECLARE
	_path character varying(256) := 'patch-2026_02_25-EmailMessageSendItems';
	_build integer := 16616;
BEGIN
	IF EXISTS (SELECT 1 FROM public."Versions" WHERE "Path" = _path) THEN
		RETURN;
	END IF;

	IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Build" >= _build) THEN
		RETURN;
	END IF;

	BEGIN
		update public."EmailMessageSendItems" set "Status"=0 where "Status" is null;
		ALTER TABLE public."EmailMessageSendItems" ALTER COLUMN "Status" SET DEFAULT 0;
		ALTER TABLE public."EmailMessageSendItems" ALTER COLUMN "Status" SET NOT NULL;

		INSERT INTO public."Versions" ("Path", "Build") VALUES (_path, 0);

	EXCEPTION
		WHEN OTHERS THEN
			RAISE NOTICE '[ERR] %: %', _path, SQLERRM;
	END;
END;
$$;